List content sources
curl --request GET \
--url https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"startUrl": "https://ajuda.acme.com",
"cron": "0 0 3 * * *",
"allowedDomains": "ajuda.acme.com",
"pathFilter": "/artigos",
"excludePathFilter": "/artigos/rascunhos",
"defaultScraperTag": "ajuda",
"type": "SCRAPY",
"createdAt": "2026-08-10T14:32:05",
"configId": "6683f1c2a4b19e0012ab34cd",
"enabled": true,
"defaultScraperTopic": "Autoatendimento",
"maxAgeMs": 86400000,
"locales": [
"pt-BR"
],
"cleaningEnabled": false,
"updatedAt": "2026-08-10T18:20:41"
}
]{
"error": "Forbidden: token holds no claim for the requested account"
}{
"error": "Forbidden: token holds no claim for the requested account"
}{
"error": "Forbidden: token holds no claim for the requested account"
}Content Sources
List content sources
The sites configured to be crawled into this knowledge base. Each source says where the crawl starts, what it may follow, and when it runs. The content a crawl produces is read through listEntries like any other.
GET
/
v1
/
knowledge-bases
/
{kbId}
/
scraper-config
List content sources
curl --request GET \
--url https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloudhumans.com/claudia/v1/knowledge-bases/{kbId}/scraper-config")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"startUrl": "https://ajuda.acme.com",
"cron": "0 0 3 * * *",
"allowedDomains": "ajuda.acme.com",
"pathFilter": "/artigos",
"excludePathFilter": "/artigos/rascunhos",
"defaultScraperTag": "ajuda",
"type": "SCRAPY",
"createdAt": "2026-08-10T14:32:05",
"configId": "6683f1c2a4b19e0012ab34cd",
"enabled": true,
"defaultScraperTopic": "Autoatendimento",
"maxAgeMs": 86400000,
"locales": [
"pt-BR"
],
"cleaningEnabled": false,
"updatedAt": "2026-08-10T18:20:41"
}
]{
"error": "Forbidden: token holds no claim for the requested account"
}{
"error": "Forbidden: token holds no claim for the requested account"
}{
"error": "Forbidden: token holds no claim for the requested account"
}Authorizations
Path Parameters
Response
The sources this knowledge base crawls.